/* 
 * This message is auto generated by ROS#. Please DO NOT modify.
 * Note:
 * - Comments from the original code will be written in their own line 
 * - Variable sized arrays will be initialized to array of size 0 
 * Please report any issues at 
 * <https://github.com/siemens/ros-sharp> 
 */

using Newtonsoft.Json;
using RosSharp.RosBridgeClient;
using RosSharp.RosBridgeClient.Messages.Standard;

namespace RosSharp.RosBridgeClient.Messages.Sensor
{
    public class ML_clearpath_LaserScan : Message
    {
        public const string RosMessageName = "sensor_msgs/LaserScan";

        //  Single scan from a planar laser range-finder
        // 
        //  If you have another ranging device with different behavior (e.g. a sonar
        //  array), please find or create a different message, since applications
        //  will make fairly laser-specific assumptions about this data
        public Header header { get; set; }
        //  timestamp in the header is the acquisition time of 
        //  the first ray in the scan.
        // 
        //  in frame frame_id, angles are measured around 
        //  the positive Z axis (counterclockwise, if Z is up)
        //  with zero angle being forward along the x axis
        public float angle_min { get; set; }
        //  start angle of the scan [rad]
        public float angle_max { get; set; }
        //  end angle of the scan [rad]
        public float angle_increment { get; set; }
        //  angular distance between measurements [rad]
        public float time_increment { get; set; }
        //  time between measurements [seconds] - if your scanner
        //  is moving, this will be used in interpolating position
        //  of 3d points
        public float scan_time { get; set; }
        //  time between scans [seconds]
        public float range_min { get; set; }
        //  minimum range value [m]
        public float range_max { get; set; }
        //  maximum range value [m]
        public float[] ranges { get; set; }
        //  range data [m] (Note: values < range_min or > range_max should be discarded)
        public float[] intensities { get; set; }
        //  intensity data [device-specific units].  If your
        //  device does not provide intensities, please leave
        //  the array empty.

        public ML_clearpath_LaserScan()
        {
            this.header = new Header();
            this.angle_min = 0.0f;
            this.angle_max = 0.0f;
            this.angle_increment = 0.0f;
            this.time_increment = 0.0f;
            this.scan_time = 0.0f;
            this.range_min = 0.0f;
            this.range_max = 0.0f;
            this.ranges = new float[0];
            this.intensities = new float[0];
        }

        public ML_clearpath_LaserScan(Header header, float angle_min, float angle_max, float angle_increment, float time_increment, float scan_time, float range_min, float range_max, float[] ranges, float[] intensities)
        {
            this.header = header;
            this.angle_min = angle_min;
            this.angle_max = angle_max;
            this.angle_increment = angle_increment;
            this.time_increment = time_increment;
            this.scan_time = scan_time;
            this.range_min = range_min;
            this.range_max = range_max;
            this.ranges = ranges;
            this.intensities = intensities;
        }
    }
}